clear all 
set more off 
set maxvar 100000
cd "C:\Users\sarahti\OneDrive - Norwegian University of Life Sciences\Documents\Writing Papers\Land and labour decisions with shocks analysis\Analysis file for land and labour"
capture log close 
log using land_labour_variables.log, replace 

global IHPS_analysis Z:\Documents\Writing Papers\IHPS Malawi\MWI_2010-2013-2016_IHPS_v02_M_Stata
global temp_file_2016 C:\Users\sarahti\OneDrive - Norwegian University of Life Sciences\Documents\Writing Papers\Land and labour decisions with shocks analysis\Temporary data for land and labour\2016 Temp file
global temp_file_2013 C:\Users\sarahti\OneDrive - Norwegian University of Life Sciences\Documents\Writing Papers\Land and labour decisions with shocks analysis\Temporary data for land and labour\2013 Temp file
global temp_file_2010 C:\Users\sarahti\OneDrive - Norwegian University of Life Sciences\Documents\Writing Papers\Land and labour decisions with shocks analysis\Temporary data for land and labour\2010 Temp file
global appended_data C:\Users\sarahti\OneDrive - Norwegian University of Life Sciences\Documents\Writing Papers\Land and labour decisions with shocks analysis\Appended data for land and labour

*************** Appending the data for the three years *****************
use "$appended_data\hh_ag_rainy_shock_merged_16", clear
append using "$appended_data\hh_ag_rainy_shock_merged_13", force // force is for string variables 

egen pan_id = group (year y3_hhid)
egen pan_id_baseline = group (year HHID)
order year y3_hhid  pan_id pan_id_baseline

// Interview date, since some visits were combined in 2016, i replaced the date 
// in visit 1 with date in visit two 
replace inter_date_v1=inter_date_v2 if interview_status==3
replace inter_date_v1=inter_date_v2 if interview_status==4

************ Generating parcel variables ***********************************
*********** Total operational farm size *********************
rename ag_b104c* parcel_area_acre*
egen farm_size_acre = rowtotal( parcel_area_acre1 parcel_area_acre2 parcel_area_acre3 ///
parcel_area_acre4 parcel_area_acre5 parcel_area_acre6 parcel_area_acre8 ///
parcel_area_acre9 parcel_area_acre10)

gen farm_size_ha = farm_size_acre*0.404685642

gen farm_size_squaremeter = farm_size_acre*4046.85642

******* Generate parcel number per land source *******************
// Chief land  
gen parcel_count1 =1 if parcel_area_acre1!=. & land_source1==1
gen parcel_count2 =1 if parcel_area_acre2!=. & land_source2==1
gen parcel_count3 =1 if parcel_area_acre3!=. & land_source3==1
gen parcel_count4 =1 if parcel_area_acre4!=. & land_source4==1
gen parcel_count5 =1 if parcel_area_acre5!=. & land_source5==1
gen parcel_count6 =1 if parcel_area_acre6!=. & land_source6==1
gen parcel_count7 =1 if parcel_area_acre7!=. & land_source7==1
gen parcel_count8 =1 if parcel_area_acre8!=. & land_source8==1
gen parcel_count9 =1 if parcel_area_acre9!=. & land_source9==1
gen parcel_count10 =1 if parcel_area_acre10!=. & land_source10==1
egen chief_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// Inherited land 
gen parcel_count1 =1 if parcel_area_acre1!=. & land_source1==2
gen parcel_count2 =1 if parcel_area_acre2!=. & land_source2==2
gen parcel_count3 =1 if parcel_area_acre3!=. & land_source3==2
gen parcel_count4 =1 if parcel_area_acre4!=. & land_source4==2
gen parcel_count5 =1 if parcel_area_acre5!=. & land_source5==2
gen parcel_count6 =1 if parcel_area_acre6!=. & land_source6==2
gen parcel_count7 =1 if parcel_area_acre7!=. & land_source7==2
gen parcel_count8 =1 if parcel_area_acre8!=. & land_source8==2
gen parcel_count9 =1 if parcel_area_acre9!=. & land_source9==2
gen parcel_count10 =1 if parcel_area_acre10!=. & land_source10==2
egen inherit_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// Bride land 
gen parcel_count1 =1 if parcel_area_acre1!=. & land_source1==3
gen parcel_count2 =1 if parcel_area_acre2!=. & land_source2==3
gen parcel_count3 =1 if parcel_area_acre3!=. & land_source3==3
gen parcel_count4 =1 if parcel_area_acre4!=. & land_source4==3
gen parcel_count5 =1 if parcel_area_acre5!=. & land_source5==3
gen parcel_count6 =1 if parcel_area_acre6!=. & land_source6==3
gen parcel_count7 =1 if parcel_area_acre7!=. & land_source7==3
gen parcel_count8 =1 if parcel_area_acre8!=. & land_source8==3
gen parcel_count9 =1 if parcel_area_acre9!=. & land_source9==3
gen parcel_count10 =1 if parcel_area_acre10!=. & land_source10==3
egen bride_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// purchased (with title) land 
gen parcel_count1 =1 if parcel_area_acre1!=. & land_source1==4
gen parcel_count2 =1 if parcel_area_acre2!=. & land_source2==4
gen parcel_count3 =1 if parcel_area_acre3!=. & land_source3==4
gen parcel_count4 =1 if parcel_area_acre4!=. & land_source4==4
gen parcel_count5 =1 if parcel_area_acre5!=. & land_source5==4
gen parcel_count6 =1 if parcel_area_acre6!=. & land_source6==4
gen parcel_count7 =1 if parcel_area_acre7!=. & land_source7==4
gen parcel_count8 =1 if parcel_area_acre8!=. & land_source8==4
gen parcel_count9 =1 if parcel_area_acre9!=. & land_source9==4
gen parcel_count10 =1 if parcel_area_acre10!=. & land_source10==4
egen purchased1_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// purchased2 (Without title) land 
gen parcel_count1 =1 if parcel_area_acre1!=. & land_source1==5
gen parcel_count2 =1 if parcel_area_acre2!=. & land_source2==5
gen parcel_count3 =1 if parcel_area_acre3!=. & land_source3==5
gen parcel_count4 =1 if parcel_area_acre4!=. & land_source4==5
gen parcel_count5 =1 if parcel_area_acre5!=. & land_source5==5
gen parcel_count6 =1 if parcel_area_acre6!=. & land_source6==5
gen parcel_count7 =1 if parcel_area_acre7!=. & land_source7==5
gen parcel_count8 =1 if parcel_area_acre8!=. & land_source8==5
gen parcel_count9 =1 if parcel_area_acre9!=. & land_source9==5
gen parcel_count10 =1 if parcel_area_acre10!=. & land_source10==5
egen purchased2_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// leased land 
gen parcel_count1 =1 if parcel_area_acre1!=. & land_source1==6
gen parcel_count2 =1 if parcel_area_acre2!=. & land_source2==6
gen parcel_count3 =1 if parcel_area_acre3!=. & land_source3==6
gen parcel_count4 =1 if parcel_area_acre4!=. & land_source4==6
gen parcel_count5 =1 if parcel_area_acre5!=. & land_source5==6
gen parcel_count6 =1 if parcel_area_acre6!=. & land_source6==6
gen parcel_count7 =1 if parcel_area_acre7!=. & land_source7==6
gen parcel_count8 =1 if parcel_area_acre8!=. & land_source8==6
gen parcel_count9 =1 if parcel_area_acre9!=. & land_source9==6
gen parcel_count10 =1 if parcel_area_acre10!=. & land_source10==6
egen leased_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// rented in land 
gen parcel_count1 =1 if parcel_area_acre1!=. & land_source1==7
gen parcel_count2 =1 if parcel_area_acre2!=. & land_source2==7
gen parcel_count3 =1 if parcel_area_acre3!=. & land_source3==7
gen parcel_count4 =1 if parcel_area_acre4!=. & land_source4==7
gen parcel_count5 =1 if parcel_area_acre5!=. & land_source5==7
gen parcel_count6 =1 if parcel_area_acre6!=. & land_source6==7
gen parcel_count7 =1 if parcel_area_acre7!=. & land_source7==7
gen parcel_count8 =1 if parcel_area_acre8!=. & land_source8==7
gen parcel_count9 =1 if parcel_area_acre9!=. & land_source9==7
gen parcel_count10 =1 if parcel_area_acre10!=. & land_source10==7
egen rented_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// tenant in land 
gen parcel_count1 =1 if parcel_area_acre1!=. & land_source1==8
gen parcel_count2 =1 if parcel_area_acre2!=. & land_source2==8
gen parcel_count3 =1 if parcel_area_acre3!=. & land_source3==8
gen parcel_count4 =1 if parcel_area_acre4!=. & land_source4==8
gen parcel_count5 =1 if parcel_area_acre5!=. & land_source5==8
gen parcel_count6 =1 if parcel_area_acre6!=. & land_source6==8
gen parcel_count7 =1 if parcel_area_acre7!=. & land_source7==8
gen parcel_count8 =1 if parcel_area_acre8!=. & land_source8==8
gen parcel_count9 =1 if parcel_area_acre9!=. & land_source9==8
gen parcel_count10 =1 if parcel_area_acre10!=. & land_source10==8
egen tenant_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// borrowed free land 
gen parcel_count1 =1 if parcel_area_acre1!=. & land_source1==9
gen parcel_count2 =1 if parcel_area_acre2!=. & land_source2==9
gen parcel_count3 =1 if parcel_area_acre3!=. & land_source3==9
gen parcel_count4 =1 if parcel_area_acre4!=. & land_source4==9
gen parcel_count5 =1 if parcel_area_acre5!=. & land_source5==9
gen parcel_count6 =1 if parcel_area_acre6!=. & land_source6==9
gen parcel_count7 =1 if parcel_area_acre7!=. & land_source7==9
gen parcel_count8 =1 if parcel_area_acre8!=. & land_source8==9
gen parcel_count9 =1 if parcel_area_acre9!=. & land_source9==9
gen parcel_count10 =1 if parcel_area_acre10!=. & land_source10==9
egen borrowed_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// Encroaching land 
gen parcel_count1 =1 if parcel_area_acre1!=. & land_source1==10
gen parcel_count2 =1 if parcel_area_acre2!=. & land_source2==10
gen parcel_count3 =1 if parcel_area_acre3!=. & land_source3==10
gen parcel_count4 =1 if parcel_area_acre4!=. & land_source4==10
gen parcel_count5 =1 if parcel_area_acre5!=. & land_source5==10
gen parcel_count6 =1 if parcel_area_acre6!=. & land_source6==10
gen parcel_count7 =1 if parcel_area_acre7!=. & land_source7==10
gen parcel_count8 =1 if parcel_area_acre8!=. & land_source8==10
gen parcel_count9 =1 if parcel_area_acre9!=. & land_source9==10
gen parcel_count10 =1 if parcel_area_acre10!=. & land_source10==10
egen encroached_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// Other sources land 
gen parcel_count1 =1 if parcel_area_acre1!=. & land_source1==11
gen parcel_count2 =1 if parcel_area_acre2!=. & land_source2==11
gen parcel_count3 =1 if parcel_area_acre3!=. & land_source3==11
gen parcel_count4 =1 if parcel_area_acre4!=. & land_source4==11
gen parcel_count5 =1 if parcel_area_acre5!=. & land_source5==11
gen parcel_count6 =1 if parcel_area_acre6!=. & land_source6==11
gen parcel_count7 =1 if parcel_area_acre7!=. & land_source7==11
gen parcel_count8 =1 if parcel_area_acre8!=. & land_source8==11
gen parcel_count9 =1 if parcel_area_acre9!=. & land_source9==11
gen parcel_count10 =1 if parcel_area_acre10!=. & land_source10==11
egen other_source_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************
// family land 
gen parcel_count1 =1 if parcel_area_acre1!=. & land_source1==12
gen parcel_count2 =1 if parcel_area_acre2!=. & land_source2==12
gen parcel_count3 =1 if parcel_area_acre3!=. & land_source3==12
gen parcel_count4 =1 if parcel_area_acre4!=. & land_source4==12
gen parcel_count5 =1 if parcel_area_acre5!=. & land_source5==12
gen parcel_count6 =1 if parcel_area_acre6!=. & land_source6==12
gen parcel_count7 =1 if parcel_area_acre7!=. & land_source7==12
gen parcel_count8 =1 if parcel_area_acre8!=. & land_source8==12
gen parcel_count9 =1 if parcel_area_acre9!=. & land_source9==12
gen parcel_count10 =1 if parcel_area_acre10!=. & land_source10==12
egen family_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// non_family land 
gen parcel_count1 =1 if parcel_area_acre1!=. & land_source1==13
gen parcel_count2 =1 if parcel_area_acre2!=. & land_source2==13
gen parcel_count3 =1 if parcel_area_acre3!=. & land_source3==13
gen parcel_count4 =1 if parcel_area_acre4!=. & land_source4==13
gen parcel_count5 =1 if parcel_area_acre5!=. & land_source5==13
gen parcel_count6 =1 if parcel_area_acre6!=. & land_source6==13
gen parcel_count7 =1 if parcel_area_acre7!=. & land_source7==13
gen parcel_count8 =1 if parcel_area_acre8!=. & land_source8==13
gen parcel_count9 =1 if parcel_area_acre9!=. & land_source9==13
gen parcel_count10 =1 if parcel_area_acre10!=. & land_source10==13
egen non_family_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10

******************************
// Total number of parcels  
egen total_number_parcel = rowtotal (chief_parcel_no inherit_parcel_no ///
bride_parcel_no purchased1_parcel_no purchased2_parcel_no leased_parcel_no ///
rented_parcel_no tenant_parcel_no borrowed_parcel_no encroached_parcel_no ///
other_source_parcel_no family_parcel_no non_family_parcel_no)
lab var total_number_parcel "Total number of parcels per household"

// farmland parcels (excluding rental area) 
egen farmland_parcel_number = rowtotal (chief_parcel_no inherit_parcel_no ///
bride_parcel_no purchased1_parcel_no purchased2_parcel_no leased_parcel_no ///
tenant_parcel_no borrowed_parcel_no encroached_parcel_no ///
other_source_parcel_no family_parcel_no non_family_parcel_no)
lab var farmland_parcel_number "Total number of farmland (less rented) parcels per household"

// Parcels from owned land. Excluded borrowed, encroached and tenant land 
egen owned_parcel_number =rowtotal(chief_parcel_no inherit_parcel_no ///
bride_parcel_no purchased1_parcel_no purchased2_parcel_no leased_parcel_no ///
other_source_parcel_no family_parcel_no non_family_parcel_no)
lab var owned_parcel_number "Total number of parcels on owned land"

// non-market farmland parcels 
egen non_mrkt_farmland_parcel_number =rowtotal(chief_parcel_no inherit_parcel_no ///
bride_parcel_no tenant_parcel_no borrowed_parcel_no encroached_parcel_no ///
other_source_parcel_no family_parcel_no non_family_parcel_no)
lab var non_mrkt_farmland_parcel_number "Total number of parcels on non-marketed farmland"

// market farmland parcels 
egen mrkt_farmland_parcel_number =rowtotal(purchased1_parcel_no purchased2_parcel_no leased_parcel_no)
lab var mrkt_farmland_parcel_number "Total number of parcels on marketed farmland"

// non-market owned land parcels (Exclude tenant, borrowed, encroached and rented land) 
egen non_mrkt_ownedland_parcel_number =rowtotal(chief_parcel_no inherit_parcel_no ///
bride_parcel_no family_parcel_no non_family_parcel_no)
lab var non_mrkt_ownedland_parcel_number "Total number of parcels on non-marketed owned land"

******* generating land area *********************
// Inherited land 
*******************************
gen chief_land1=parcel_area_acre1 if land_source1==1
gen chief_land2=parcel_area_acre2 if land_source2==1
gen chief_land3=parcel_area_acre3 if land_source3==1
gen chief_land4=parcel_area_acre4 if land_source4==1
gen chief_land5=parcel_area_acre5 if land_source5==1
gen chief_land6=parcel_area_acre6 if land_source6==1
gen chief_land7=parcel_area_acre7 if land_source7==1
gen chief_land8=parcel_area_acre8 if land_source8==1
gen chief_land9=parcel_area_acre9 if land_source9==1
gen chief_land10=parcel_area_acre10 if land_source10==1
egen total_chief_land_acre = rowtotal (chief_land1 chief_land2 chief_land3 ///
chief_land4 chief_land5 chief_land6 chief_land7 chief_land8 chief_land9 chief_land10)
drop chief_land1 chief_land2 chief_land3 ///
chief_land4 chief_land5 chief_land6 chief_land7 chief_land8 chief_land9 chief_land10

***************************************************************
gen inherit_land1=parcel_area_acre1 if land_source1==2
gen inherit_land2=parcel_area_acre2 if land_source2==2
gen inherit_land3=parcel_area_acre3 if land_source3==2
gen inherit_land4=parcel_area_acre4 if land_source4==2
gen inherit_land5=parcel_area_acre5 if land_source5==2
gen inherit_land6=parcel_area_acre6 if land_source6==2
gen inherit_land7=parcel_area_acre7 if land_source7==2
gen inherit_land8=parcel_area_acre8 if land_source8==2
gen inherit_land9=parcel_area_acre9 if land_source9==2
gen inherit_land10=parcel_area_acre10 if land_source10==2
egen total_inherit_land_acre = rowtotal (inherit_land1 inherit_land2 inherit_land3 ///
inherit_land4 inherit_land5 inherit_land6 inherit_land7 inherit_land8 inherit_land9 ///
inherit_land10)
drop inherit_land1 inherit_land2 inherit_land3 ///
inherit_land4 inherit_land5 inherit_land6 inherit_land7 inherit_land8 inherit_land9 ///
inherit_land10

******************************************
gen bride_land1=parcel_area_acre1 if land_source1==3
gen bride_land2=parcel_area_acre2 if land_source2==3
gen bride_land3=parcel_area_acre3 if land_source3==3
gen bride_land4=parcel_area_acre4 if land_source4==3
gen bride_land5=parcel_area_acre5 if land_source5==3
gen bride_land6=parcel_area_acre6 if land_source6==3
gen bride_land7=parcel_area_acre7 if land_source7==3
gen bride_land8=parcel_area_acre8 if land_source8==3
gen bride_land9=parcel_area_acre9 if land_source9==3
gen bride_land10=parcel_area_acre10 if land_source10==3
egen total_bride_land_acre = rowtotal (bride_land1 bride_land2 bride_land3 ///
bride_land4 bride_land5 bride_land6 bride_land7 bride_land8 bride_land9 bride_land10)
drop bride_land1 bride_land2 bride_land3 ///
bride_land4 bride_land5 bride_land6 bride_land7 bride_land8 bride_land9 bride_land10

********************************
gen purchased_land1=parcel_area_acre1 if land_source1==4
gen purchased_land2=parcel_area_acre2 if land_source2==4
gen purchased_land3=parcel_area_acre3 if land_source3==4
gen purchased_land4=parcel_area_acre4 if land_source4==4
gen purchased_land5=parcel_area_acre5 if land_source5==4
gen purchased_land6=parcel_area_acre6 if land_source6==4
gen purchased_land7=parcel_area_acre7 if land_source7==4
gen purchased_land8=parcel_area_acre8 if land_source8==4
gen purchased_land9=parcel_area_acre9 if land_source9==4
gen purchased_land10=parcel_area_acre10 if land_source10==4
egen total_purchased_land_acre = rowtotal (purchased_land1 purchased_land2 purchased_land3 ///
purchased_land4 purchased_land5 purchased_land6 purchased_land7 ///
purchased_land8 purchased_land9 purchased_land10)
drop purchased_land1 purchased_land2 purchased_land3 ///
purchased_land4 purchased_land5 purchased_land6 purchased_land7 ///
purchased_land8 purchased_land9 purchased_land10

******************************************************************
gen purchased2_land1=parcel_area_acre1 if land_source1==5
gen purchased2_land2=parcel_area_acre2 if land_source2==5
gen purchased2_land3=parcel_area_acre3 if land_source3==5
gen purchased2_land4=parcel_area_acre4 if land_source4==5
gen purchased2_land5=parcel_area_acre5 if land_source5==5
gen purchased2_land6=parcel_area_acre6 if land_source6==5
gen purchased2_land7=parcel_area_acre7 if land_source7==5
gen purchased2_land8=parcel_area_acre8 if land_source8==5
gen purchased2_land9=parcel_area_acre9 if land_source9==5
gen purchased2_land10=parcel_area_acre10 if land_source10==5
egen total_purchased2_land_acre = rowtotal (purchased2_land1 purchased2_land2 ///
purchased2_land3 purchased2_land4 purchased2_land5 purchased2_land6 purchased2_land7 ///
purchased2_land8 purchased2_land9 purchased2_land10)
drop purchased2_land1 purchased2_land2 ///
purchased2_land3 purchased2_land4 purchased2_land5 purchased2_land6 purchased2_land7 ///
purchased2_land8 purchased2_land9 purchased2_land10

*******************************************************
gen leased_land1=parcel_area_acre1 if land_source1==6
gen leased_land2=parcel_area_acre2 if land_source2==6
gen leased_land3=parcel_area_acre3 if land_source3==6
gen leased_land4=parcel_area_acre4 if land_source4==6
gen leased_land5=parcel_area_acre5 if land_source5==6
gen leased_land6=parcel_area_acre6 if land_source6==6
gen leased_land7=parcel_area_acre7 if land_source7==6
gen leased_land8=parcel_area_acre8 if land_source8==6
gen leased_land9=parcel_area_acre9 if land_source9==6
gen leased_land10=parcel_area_acre10 if land_source10==6
egen total_leased_land_acre = rowtotal (leased_land1 leased_land2 leased_land3 ///
leased_land4 leased_land6 leased_land7 leased_land8 leased_land9 leased_land10)
drop leased_land1 leased_land2 leased_land3 ///
leased_land4 leased_land5 leased_land6 leased_land7 leased_land8 leased_land9 leased_land10

****************************************************************
gen rent_land1=parcel_area_acre1 if land_source1==7
gen rent_land2=parcel_area_acre2 if land_source2==7
gen rent_land3=parcel_area_acre3 if land_source3==7
gen rent_land4=parcel_area_acre4 if land_source4==7
gen rent_land5=parcel_area_acre5 if land_source5==7
gen rent_land6=parcel_area_acre6 if land_source6==7
gen rent_land7=parcel_area_acre7 if land_source7==7
gen rent_land8=parcel_area_acre8 if land_source8==7
gen rent_land9=parcel_area_acre9 if land_source9==7
gen rent_land10=parcel_area_acre10 if land_source10==7
egen total_rent_land_acre = rowtotal (rent_land1 rent_land2 rent_land3 ///
rent_land4 rent_land5 rent_land6 rent_land7 rent_land8 rent_land9 rent_land10)
drop rent_land1 rent_land2 rent_land3 ///
rent_land4 rent_land5 rent_land6 rent_land7 rent_land8 rent_land9 rent_land10

************* Rent dummy ****************
// i noted others indicated to have rented land but there is no corresponding area 
gen rent_dummy=1 if land_source1==7 & total_rent_land_acre!=0
replace rent_dummy=1 if land_source2==7 & total_rent_land_acre!=0 & rent_dummy==. 
replace rent_dummy=1 if land_source3==7 & total_rent_land_acre!=0 & rent_dummy==. 
replace rent_dummy=1 if land_source4==7 & total_rent_land_acre!=0 & rent_dummy==. 
replace rent_dummy=1 if land_source5==7 & total_rent_land_acre!=0 & rent_dummy==. 
replace rent_dummy=1 if land_source6==7 & total_rent_land_acre!=0 & rent_dummy==. 
replace rent_dummy=1 if land_source7==7 & total_rent_land_acre!=0 & rent_dummy==. 
replace rent_dummy=1 if land_source8==7 & total_rent_land_acre!=0 & rent_dummy==. 
replace rent_dummy=1 if land_source9==7 & total_rent_land_acre!=0 & rent_dummy==. 
replace rent_dummy=1 if land_source10==7 & total_rent_land_acre!=0 & rent_dummy==. 

replace rent_dummy=0 if land_source1!=7 & total_rent_land_acre==0 & rent_dummy==. 
replace rent_dummy=0 if land_source2!=7 & total_rent_land_acre==0 & rent_dummy==. 
replace rent_dummy=0 if land_source3!=7 & total_rent_land_acre==0 & rent_dummy==. 
replace rent_dummy=0 if land_source4!=7 & total_rent_land_acre==0 & rent_dummy==. 
replace rent_dummy=0 if land_source5!=7 & total_rent_land_acre==0 & rent_dummy==. 
replace rent_dummy=0 if land_source6!=7 & total_rent_land_acre==0 & rent_dummy==. 
replace rent_dummy=0 if land_source7!=7 & total_rent_land_acre==0 & rent_dummy==. 
replace rent_dummy=0 if land_source8!=7 & total_rent_land_acre==0 & rent_dummy==. 
replace rent_dummy=0 if land_source9!=7 & total_rent_land_acre==0 & rent_dummy==. 
replace rent_dummy=0 if land_source10!=7 & total_rent_land_acre==0 & rent_dummy==. 
replace rent_dummy=0 if land_source10==7 & total_rent_land_acre==0 & rent_dummy==. 

***************************************************************************
gen tenant_land1=parcel_area_acre1 if land_source1==8
gen tenant_land2=parcel_area_acre2 if land_source2==8
gen tenant_land3=parcel_area_acre3 if land_source3==8
gen tenant_land4=parcel_area_acre4 if land_source4==8
gen tenant_land5=parcel_area_acre5 if land_source5==8
gen tenant_land6=parcel_area_acre6 if land_source6==8
gen tenant_land7=parcel_area_acre7 if land_source7==8
gen tenant_land8=parcel_area_acre8 if land_source8==8
gen tenant_land9=parcel_area_acre9 if land_source9==8
gen tenant_land10=parcel_area_acre10 if land_source10==8
egen total_tenant_land_acre = rowtotal (tenant_land1 tenant_land2 tenant_land3 ///
tenant_land4 tenant_land5 tenant_land6 tenant_land7 tenant_land8 tenant_land9 tenant_land10)
drop tenant_land1 tenant_land2 tenant_land3 ///
tenant_land4 tenant_land5 tenant_land6 tenant_land7 tenant_land8 tenant_land9 tenant_land10

**************************************************************************
gen borrowed_land1=parcel_area_acre1 if land_source1==9
gen borrowed_land2=parcel_area_acre2 if land_source2==9
gen borrowed_land3=parcel_area_acre3 if land_source3==9
gen borrowed_land4=parcel_area_acre4 if land_source4==9
gen borrowed_land5=parcel_area_acre5 if land_source5==9
gen borrowed_land6=parcel_area_acre6 if land_source6==9
gen borrowed_land7=parcel_area_acre7 if land_source7==9
gen borrowed_land8=parcel_area_acre8 if land_source8==9
gen borrowed_land9=parcel_area_acre9 if land_source9==9
gen borrowed_land10=parcel_area_acre10 if land_source10==9
egen total_borrowed_land_acre = rowtotal (borrowed_land1 borrowed_land2 ///
borrowed_land3 borrowed_land4 borrowed_land5 borrowed_land6 borrowed_land7 ///
borrowed_land8 borrowed_land9 borrowed_land10)
drop borrowed_land1 borrowed_land2 ///
borrowed_land3 borrowed_land4 borrowed_land5 borrowed_land6 borrowed_land7 ///
borrowed_land8 borrowed_land9 borrowed_land10

***************************************************************************
gen nopermission_land1=parcel_area_acre1 if land_source1==10
gen nopermission_land2=parcel_area_acre2 if land_source2==10
gen nopermission_land3=parcel_area_acre3 if land_source3==10
gen nopermission_land4=parcel_area_acre4 if land_source4==10
gen nopermission_land5=parcel_area_acre5 if land_source5==10
gen nopermission_land6=parcel_area_acre6 if land_source6==10
gen nopermission_land7=parcel_area_acre7 if land_source7==10
gen nopermission_land8=parcel_area_acre8 if land_source8==10
gen nopermission_land9=parcel_area_acre9 if land_source9==10
gen nopermission_land10=parcel_area_acre10 if land_source10==10
egen total_nopermission_land_acre = rowtotal (nopermission_land1 nopermission_land2 ///
nopermission_land3 nopermission_land4 nopermission_land5 nopermission_land6 ///
nopermission_land7 nopermission_land8 nopermission_land9 nopermission_land10)
drop nopermission_land1 nopermission_land2 ///
nopermission_land3 nopermission_land4 nopermission_land5 nopermission_land6 ///
nopermission_land7 nopermission_land8 nopermission_land9 nopermission_land10

***************************************************************************
gen othersource_land1=parcel_area_acre1 if land_source1==11
gen othersource_land2=parcel_area_acre2 if land_source2==11
gen othersource_land3=parcel_area_acre3 if land_source3==11
gen othersource_land4=parcel_area_acre4 if land_source4==11
gen othersource_land5=parcel_area_acre5 if land_source5==11
gen othersource_land6=parcel_area_acre6 if land_source6==11
gen othersource_land7=parcel_area_acre7 if land_source7==11
gen othersource_land8=parcel_area_acre8 if land_source8==11
gen othersource_land9=parcel_area_acre9 if land_source9==11
gen othersource_land10=parcel_area_acre10 if land_source10==11
egen total_othersource_land_acre = rowtotal (othersource_land1 othersource_land2 ///
othersource_land3 othersource_land4 othersource_land5 othersource_land6 ///
othersource_land7 othersource_land8 othersource_land9 othersource_land10)
drop othersource_land1 othersource_land2 ///
othersource_land3 othersource_land4 othersource_land5 othersource_land6 ///
othersource_land7 othersource_land8 othersource_land10

***************************************************************************
gen family_allocation_land1=parcel_area_acre1 if land_source1==12
gen family_allocation_land2=parcel_area_acre2 if land_source2==12
gen family_allocation_land3=parcel_area_acre3 if land_source3==12
gen family_allocation_land4=parcel_area_acre4 if land_source4==12
gen family_allocation_land5=parcel_area_acre5 if land_source5==12
gen family_allocation_land6=parcel_area_acre6 if land_source6==12
gen family_allocation_land7=parcel_area_acre7 if land_source7==12
gen family_allocation_land8=parcel_area_acre8 if land_source8==12
gen family_allocation_land9=parcel_area_acre9 if land_source9==12
gen family_allocation_land10=parcel_area_acre10 if land_source10==12
egen total_family_allo_land_acre = rowtotal (family_allocation_land1 ///
family_allocation_land2 family_allocation_land3 family_allocation_land4 ///
family_allocation_land5 family_allocation_land6 family_allocation_land7 ///
family_allocation_land8 family_allocation_land9 family_allocation_land10)
drop family_allocation_land1 ///
family_allocation_land2 family_allocation_land3 family_allocation_land4 ///
family_allocation_land5 family_allocation_land6 family_allocation_land7 ///
family_allocation_land8 family_allocation_land9 family_allocation_land10

***************************************************************************
gen non_family_allocation_land1=parcel_area_acre1 if land_source1==13
gen non_family_allocation_land2=parcel_area_acre2 if land_source2==13
gen non_family_allocation_land3=parcel_area_acre3 if land_source3==13
gen non_family_allocation_land4=parcel_area_acre4 if land_source4==13
gen non_family_allocation_land5=parcel_area_acre5 if land_source5==13
gen non_family_allocation_land6=parcel_area_acre6 if land_source6==13
gen non_family_allocation_land7=parcel_area_acre7 if land_source7==13
gen non_family_allocation_land8=parcel_area_acre8 if land_source8==13
gen non_family_allocation_land9=parcel_area_acre9 if land_source9==13
gen non_family_allocation_land10=parcel_area_acre10 if land_source10==13
egen total_non_family_allo_land_acre = rowtotal (non_family_allocation_land1 ///
non_family_allocation_land2 non_family_allocation_land3 non_family_allocation_land4 ///
non_family_allocation_land5 non_family_allocation_land6 non_family_allocation_land7 ///
non_family_allocation_land8 non_family_allocation_land9 non_family_allocation_land10)
drop non_family_allocation_land1 ///
non_family_allocation_land2 non_family_allocation_land3 non_family_allocation_land4 ///
non_family_allocation_land5 non_family_allocation_land6 non_family_allocation_land7 ///
non_family_allocation_land8 non_family_allocation_land9 non_family_allocation_land10

********************************************************************
// total cultivated land (All cultivated area)
egen total_culti_land_acres =rowtotal(total_chief_land_acre total_inherit_land_acre ///
total_bride_land_acre total_purchased_land_acre total_purchased2_land_acre ///
total_leased_land_acre total_rent_land_acre total_tenant_land_acre ///
total_borrowed_land_acre total_nopermission_land_acre ///
total_othersource_land_acre total_family_allo_land_acre total_non_family_allo_land_acre)

gen total_culti_land_ha = total_culti_land_acres*0.404685642
gen total_culti_land_sqremeters = total_culti_land_acres*4046.85642

// Farmland. Excluded rented in land 
egen farmland_acres =rowtotal(total_chief_land_acre total_inherit_land_acre ///
total_bride_land_acre total_purchased_land_acre total_purchased2_land_acre ///
total_leased_land_acre total_tenant_land_acre total_borrowed_land_acre ///
total_nopermission_land_acre total_othersource_land_acre ///
total_family_allo_land_acre total_non_family_allo_land_acre)

gen pre_rentalland_ha = farmland_acres*0.404685642
gen pre_rentalland_sqrmeters = farmland_acres*4046.85642

// Total rented in land 
gen total_rent_land_ha = total_rent_land_acre*0.404685642
gen total_rent_land_acre_sqrmeters = total_rent_land_acre*4046.85642

gen total_purchased_land_ha = total_purchased_land_acre*0.404685642
gen total_purchased_land_sqrmeters = total_purchased_land_acre*4046.85642

// Total owned land. Exclude tenant, borrowed, encroached land and other sources 
egen owned_land_acres =rowtotal(total_inherit_land_acre total_chief_land_acre ///
total_bride_land_acre total_purchased_land_acre total_purchased2_land_acre ///
total_leased_land_acre total_family_allo_land_acre ///
total_non_family_allo_land_acre)

gen owned_land_ha = owned_land_acres*0.404685642
gen owned_land_sqrmeters = owned_land_acres*4046.85642

// Farmland owned through non-market mechanisms (Exclude rental)
egen non_mrkt_ownland_acres = rowtotal (total_inherit_land_acre total_chief_land_acre ///
total_bride_land_acre total_family_allo_land_acre total_non_family_allo_land_acre)

gen non_mrkt_ownland_ha = non_mrkt_ownland_acres*0.404685642
gen non_mrkt_ownland_sqrmeters = non_mrkt_ownland_acres*4046.85642

// Farmland owned through markets 
egen mrkt_ownland_acres =rowtotal(total_purchased_land_acre total_purchased2_land_acre ///
total_leased_land_acre)

gen mrkt_ownland_ha = mrkt_ownland_acres*0.404685642
gen mrkt_ownland_sqrmeters = mrkt_ownland_acres*4046.85642

******** Distance to parcel land from home ********************************
egen high_parcel_dist = rowmax(dist_hh1 dist_hh2 dist_hh3 dist_hh4 dist_hh5 dist_hh6 ///
dist_hh7 dist_hh8 dist_hh9 dist_hh10)
lab var high_parcel_dist " distance to the furthest plot cultivated"

*********** Plot distance per land source *******************
// Distance per land source 
gen inherit_parcel_dist1 = dist_hh1 if land_source1==1
gen inherit_parcel_dist2 = dist_hh2 if land_source2==1
gen inherit_parcel_dist3 = dist_hh3 if land_source3==1
gen inherit_parcel_dist4 = dist_hh4 if land_source4==1
gen inherit_parcel_dist5 = dist_hh5 if land_source5==1
gen inherit_parcel_dist6 = dist_hh6 if land_source6==1
gen inherit_parcel_dist7 = dist_hh7 if land_source7==1
gen inherit_parcel_dist8 = dist_hh8 if land_source8==1
gen inherit_parcel_dist9 = dist_hh9 if land_source9==1
gen inherit_parcel_dist10 = dist_hh10 if land_source10==1
egen inherit_parcel_dist = rowmax(inherit_parcel_dist1 inherit_parcel_dist2 ///
inherit_parcel_dist3 inherit_parcel_dist4 inherit_parcel_dist5 ///
inherit_parcel_dist6 inherit_parcel_dist7 inherit_parcel_dist8 ///
inherit_parcel_dist9 inherit_parcel_dist10)
drop inherit_parcel_dist1 inherit_parcel_dist2 ///
inherit_parcel_dist3 inherit_parcel_dist4 inherit_parcel_dist5 ///
inherit_parcel_dist6 inherit_parcel_dist7 inherit_parcel_dist8 ///
inherit_parcel_dist9 inherit_parcel_dist10
*****************************************************************************
gen chief_parcel_dist1 = dist_hh1 if land_source1==2
gen chief_parcel_dist2 = dist_hh2 if land_source2==2
gen chief_parcel_dist3 = dist_hh3 if land_source3==2
gen chief_parcel_dist4 = dist_hh4 if land_source4==2
gen chief_parcel_dist5 = dist_hh5 if land_source5==2
gen chief_parcel_dist6 = dist_hh6 if land_source6==2
gen chief_parcel_dist7 = dist_hh7 if land_source7==2
gen chief_parcel_dist8 = dist_hh8 if land_source8==2
gen chief_parcel_dist9 = dist_hh9 if land_source9==2
gen chief_parcel_dist10 = dist_hh10 if land_source10==2
egen chief_parcel_dist = rowmax(chief_parcel_dist1 chief_parcel_dist2 ///
chief_parcel_dist3 chief_parcel_dist4 chief_parcel_dist5 chief_parcel_dist6 ///
chief_parcel_dist7 chief_parcel_dist8 chief_parcel_dist9 chief_parcel_dist10)
drop chief_parcel_dist1 chief_parcel_dist2 ///
chief_parcel_dist3 chief_parcel_dist4 chief_parcel_dist5 chief_parcel_dist6 ///
chief_parcel_dist7 chief_parcel_dist8 chief_parcel_dist9 chief_parcel_dist10
*****************************************************************************
gen bride_parcel_dist1 = dist_hh1 if land_source1==3
gen bride_parcel_dist2 = dist_hh2 if land_source2==3
gen bride_parcel_dist3 = dist_hh3 if land_source3==3
gen bride_parcel_dist4 = dist_hh4 if land_source4==3
gen bride_parcel_dist5 = dist_hh5 if land_source5==3
gen bride_parcel_dist6 = dist_hh6 if land_source6==3
gen bride_parcel_dist7 = dist_hh7 if land_source7==3
gen bride_parcel_dist8 = dist_hh8 if land_source8==3
gen bride_parcel_dist9 = dist_hh9 if land_source9==3
gen bride_parcel_dist10 = dist_hh10 if land_source10==3
egen bride_parcel_dist = rowmax(bride_parcel_dist1 bride_parcel_dist2 ///
bride_parcel_dist3 bride_parcel_dist4 bride_parcel_dist5 bride_parcel_dist6 ///
bride_parcel_dist7 bride_parcel_dist8 bride_parcel_dist9 bride_parcel_dist10)
drop bride_parcel_dist1 bride_parcel_dist2 ///
bride_parcel_dist3 bride_parcel_dist4 bride_parcel_dist5 bride_parcel_dist6 ///
bride_parcel_dist7 bride_parcel_dist8 bride_parcel_dist9 bride_parcel_dist10
*****************************************************************************
gen purchased_parcel_dist1 = dist_hh1 if land_source1==4
gen purchased_parcel_dist2 = dist_hh2 if land_source2==4
gen purchased_parcel_dist3 = dist_hh3 if land_source3==4
gen purchased_parcel_dist4 = dist_hh4 if land_source4==4
gen purchased_parcel_dist5 = dist_hh5 if land_source5==4
gen purchased_parcel_dist6 = dist_hh6 if land_source6==4
gen purchased_parcel_dist7 = dist_hh7 if land_source7==4
gen purchased_parcel_dist8 = dist_hh8 if land_source8==4
gen purchased_parcel_dist9 = dist_hh9 if land_source9==4
gen purchasedparcel_dist10 = dist_hh10 if land_source10==4
egen purchased_parcel_dist = rowmax(purchased_parcel_dist1 purchased_parcel_dist2 ///
purchased_parcel_dist3 purchased_parcel_dist4 purchased_parcel_dist5 ///
purchased_parcel_dist6 purchased_parcel_dist7 purchased_parcel_dist8 ///
purchased_parcel_dist9 purchasedparcel_dist10)
drop purchased_parcel_dist1 purchased_parcel_dist2 ///
purchased_parcel_dist3 purchased_parcel_dist4 purchased_parcel_dist5 ///
purchased_parcel_dist6 purchased_parcel_dist7 purchased_parcel_dist8 ///
purchased_parcel_dist9 purchasedparcel_dist10
*****************************************************************************
gen purchased2_parcel_dist1 = dist_hh1 if land_source1==5
gen purchased2_parcel_dist2 = dist_hh2 if land_source2==5
gen purchased2_parcel_dist3 = dist_hh3 if land_source3==5
gen purchased2_parcel_dist4 = dist_hh4 if land_source4==5
gen purchased2_parcel_dist5 = dist_hh5 if land_source5==5
gen purchased2_parcel_dist6 = dist_hh6 if land_source6==5
gen purchased2_parcel_dist7 = dist_hh7 if land_source7==5
gen purchased2_parcel_dist8 = dist_hh8 if land_source8==5
gen purchased2_parcel_dist9 = dist_hh9 if land_source9==5
gen purchased2_parcel_dist10 = dist_hh10 if land_source10==5
egen purchased2_parcel_dist = rowmax(purchased2_parcel_dist1 purchased2_parcel_dist2 ///
purchased2_parcel_dist3 purchased2_parcel_dist4 purchased2_parcel_dist5 ///
purchased2_parcel_dist6 purchased2_parcel_dist7 purchased2_parcel_dist8 ///
purchased2_parcel_dist9 purchased2_parcel_dist10)
drop purchased2_parcel_dist1 purchased2_parcel_dist2 ///
purchased2_parcel_dist3 purchased2_parcel_dist4 purchased2_parcel_dist5 ///
purchased2_parcel_dist6 purchased2_parcel_dist7 purchased2_parcel_dist8 ///
purchased2_parcel_dist9 purchased2_parcel_dist10
*****************************************************************************
*****************************************************************************
gen leased_parcel_dist1 = dist_hh1 if land_source1==6
gen leased_parcel_dist2 = dist_hh2 if land_source2==6
gen leased_parcel_dist3 = dist_hh3 if land_source3==6
gen leased_parcel_dist4 = dist_hh4 if land_source4==6
gen leased_parcel_dist5 = dist_hh5 if land_source5==6
gen leased_parcel_dist6 = dist_hh6 if land_source6==6
gen leased_parcel_dist7 = dist_hh7 if land_source7==6
gen leased_parcel_dist8 = dist_hh8 if land_source8==6
gen leased_parcel_dist9 = dist_hh9 if land_source9==6
gen leased_parcel_dist10 = dist_hh10 if land_source10==6
egen leased_parcel_dist = rowmax(leased_parcel_dist1 leased_parcel_dist2 ///
leased_parcel_dist3 leased_parcel_dist4 leased_parcel_dist5 leased_parcel_dist6 ///
leased_parcel_dist7 leased_parcel_dist8 leased_parcel_dist9 leased_parcel_dist10)
drop leased_parcel_dist1 leased_parcel_dist2 ///
leased_parcel_dist3 leased_parcel_dist4 leased_parcel_dist5 leased_parcel_dist6 ///
leased_parcel_dist7 leased_parcel_dist8 leased_parcel_dist9 leased_parcel_dist10
*****************************************************************************
gen rent_parcel_dist1 = dist_hh1 if land_source1==7
gen rent_parcel_dist2 = dist_hh2 if land_source2==7
gen rent_parcel_dist3 = dist_hh3 if land_source3==7
gen rent_parcel_dist4 = dist_hh4 if land_source4==7
gen rent_parcel_dist5 = dist_hh5 if land_source5==7
gen rent_parcel_dist6 = dist_hh6 if land_source6==7
gen rent_parcel_dist7 = dist_hh7 if land_source7==7
gen rent_parcel_dist8 = dist_hh8 if land_source8==7
gen rent_parcel_dist9 = dist_hh9 if land_source9==7
gen rent_parcel_dist10 = dist_hh10 if land_source10==7
egen rent_parcel_dist = rowmax(rent_parcel_dist1 rent_parcel_dist2 ///
rent_parcel_dist3 rent_parcel_dist4 rent_parcel_dist5 rent_parcel_dist6 ///
rent_parcel_dist7 rent_parcel_dist8 rent_parcel_dist9 rent_parcel_dist10)
drop rent_parcel_dist1 rent_parcel_dist2 ///
rent_parcel_dist3 rent_parcel_dist4 rent_parcel_dist5 rent_parcel_dist6 ///
rent_parcel_dist7 rent_parcel_dist8 rent_parcel_dist9 rent_parcel_dist10
*****************************************************************************
gen tenant_parcel_dist1 = dist_hh1 if land_source1==8
gen tenant_parcel_dist2 = dist_hh2 if land_source2==8
gen tenant_parcel_dist3 = dist_hh3 if land_source3==8
gen tenant_parcel_dist4 = dist_hh4 if land_source4==8
gen tenant_parcel_dist5 = dist_hh5 if land_source5==8
gen tenant_parcel_dist6 = dist_hh6 if land_source6==8
gen tenant_parcel_dist7 = dist_hh7 if land_source7==8
gen tenant_parcel_dist8 = dist_hh8 if land_source8==8
gen tenant_parcel_dist9 = dist_hh9 if land_source9==8
gen tenant_parcel_dist10 = dist_hh10 if land_source10==8
egen tenant_parcel_dist = rowmax(tenant_parcel_dist1 tenant_parcel_dist2 ///
tenant_parcel_dist3 tenant_parcel_dist4 tenant_parcel_dist5 tenant_parcel_dist6 ///
tenant_parcel_dist7 tenant_parcel_dist8 tenant_parcel_dist9 tenant_parcel_dist10)
drop tenant_parcel_dist1 tenant_parcel_dist2 ///
tenant_parcel_dist3 tenant_parcel_dist4 tenant_parcel_dist5 tenant_parcel_dist6 ///
tenant_parcel_dist7 tenant_parcel_dist8 tenant_parcel_dist9 tenant_parcel_dist10
*****************************************************************************
gen borrowed_parcel_dist1 = dist_hh1 if land_source1==9
gen borrowed_parcel_dist2 = dist_hh2 if land_source2==9
gen borrowed_parcel_dist3 = dist_hh3 if land_source3==9
gen borrowed_parcel_dist4 = dist_hh4 if land_source4==9
gen borrowed_parcel_dist5 = dist_hh5 if land_source5==9
gen borrowed_parcel_dist6 = dist_hh6 if land_source6==9
gen borrowed_parcel_dist7 = dist_hh7 if land_source7==9
gen borrowed_parcel_dist8 = dist_hh8 if land_source8==9
gen borrowed_parcel_dist9 = dist_hh9 if land_source9==9
gen borrowed_parcel_dist10 = dist_hh10 if land_source10==9
egen borrowed_parcel_dist = rowmax(borrowed_parcel_dist1 borrowed_parcel_dist2 ///
borrowed_parcel_dist3 borrowed_parcel_dist4 borrowed_parcel_dist5 ///
borrowed_parcel_dist6 borrowed_parcel_dist7 borrowed_parcel_dist8 ///
borrowed_parcel_dist9 borrowed_parcel_dist10)
drop borrowed_parcel_dist1 borrowed_parcel_dist2 ///
borrowed_parcel_dist3 borrowed_parcel_dist4 borrowed_parcel_dist5 ///
borrowed_parcel_dist6 borrowed_parcel_dist7 borrowed_parcel_dist8 ///
borrowed_parcel_dist9 borrowed_parcel_dist10
*****************************************************************************
gen nopermission_parcel_dist1 = dist_hh1 if land_source1==10
gen nopermission_parcel_dist2 = dist_hh2 if land_source2==10
gen nopermission_parcel_dist3 = dist_hh3 if land_source3==10
gen nopermission_parcel_dist4 = dist_hh4 if land_source4==10
gen nopermission_parcel_dist5 = dist_hh5 if land_source5==10
gen nopermission_parcel_dist6 = dist_hh6 if land_source6==10
gen nopermission_parcel_dist7 = dist_hh7 if land_source7==10
gen nopermission_parcel_dist8 = dist_hh8 if land_source8==10
gen nopermission_parcel_dist9 = dist_hh9 if land_source9==10
gen nopermission_parcel_dist10 = dist_hh10 if land_source10==10
egen nopermission_parcel_dist = rowmax(nopermission_parcel_dist1 ///
nopermission_parcel_dist2 nopermission_parcel_dist3 nopermission_parcel_dist4 ///
nopermission_parcel_dist5 nopermission_parcel_dist6 nopermission_parcel_dist7 ///
nopermission_parcel_dist8 nopermission_parcel_dist9 nopermission_parcel_dist10)
drop nopermission_parcel_dist1 ///
nopermission_parcel_dist2 nopermission_parcel_dist3 nopermission_parcel_dist4 ///
nopermission_parcel_dist5 nopermission_parcel_dist6 nopermission_parcel_dist7 ///
nopermission_parcel_dist8 nopermission_parcel_dist9 nopermission_parcel_dist10
*****************************************************************************
*****************************************************************************
gen othersource_parcel_dist1 = dist_hh1 if land_source1==11
gen othersource_parcel_dist2 = dist_hh2 if land_source2==11
gen othersource_parcel_dist3 = dist_hh3 if land_source3==11
gen othersource_parcel_dist4 = dist_hh4 if land_source4==11
gen othersource_parcel_dist5 = dist_hh5 if land_source5==11
gen othersource_parcel_dist6 = dist_hh6 if land_source6==11
gen othersource_parcel_dist7 = dist_hh7 if land_source7==11
gen othersource_parcel_dist8 = dist_hh8 if land_source8==11
gen othersource_parcel_dist9 = dist_hh9 if land_source9==11
gen othersource_parcel_dist10 = dist_hh10 if land_source10==11
egen othersource_parcel_dist = rowmax(othersource_parcel_dist1 ///
othersource_parcel_dist2 othersource_parcel_dist3 othersource_parcel_dist4 ///
othersource_parcel_dist5 othersource_parcel_dist6 othersource_parcel_dist7 ///
othersource_parcel_dist8 othersource_parcel_dist9 othersource_parcel_dist10)
drop othersource_parcel_dist1 ///
othersource_parcel_dist2 othersource_parcel_dist3 othersource_parcel_dist4 ///
othersource_parcel_dist5 othersource_parcel_dist6 othersource_parcel_dist7 ///
othersource_parcel_dist8 othersource_parcel_dist9 othersource_parcel_dist10
*****************************************************************************
gen family_alloc_parcel_dist1 = dist_hh1 if land_source1==12
gen family_alloc_parcel_dist2 = dist_hh2 if land_source2==12
gen family_alloc_parcel_dist3 = dist_hh3 if land_source3==12
gen family_alloc_parcel_dist4 = dist_hh4 if land_source4==12
gen family_alloc_parcel_dist5 = dist_hh5 if land_source5==12
gen family_alloc_parcel_dist6 = dist_hh6 if land_source6==12
gen family_alloc_parcel_dist7 = dist_hh7 if land_source7==12
gen family_alloc_parcel_dist8 = dist_hh8 if land_source8==12
gen family_alloc_parcel_dist9 = dist_hh9 if land_source9==12
gen family_alloc_parcel_dist10 = dist_hh10 if land_source10==12
egen family_alloc_parcel_dist = rowmax(family_alloc_parcel_dist1 ///
family_alloc_parcel_dist2 family_alloc_parcel_dist3 family_alloc_parcel_dist4 ///
family_alloc_parcel_dist5 family_alloc_parcel_dist6 family_alloc_parcel_dist7 ///
family_alloc_parcel_dist8 family_alloc_parcel_dist9 family_alloc_parcel_dist10)
drop family_alloc_parcel_dist1 ///
family_alloc_parcel_dist2 family_alloc_parcel_dist3 family_alloc_parcel_dist4 ///
family_alloc_parcel_dist5 family_alloc_parcel_dist6 family_alloc_parcel_dist7 ///
family_alloc_parcel_dist8 family_alloc_parcel_dist9 family_alloc_parcel_dist10
*****************************************************************************
gen non_family_alloc_parcel_dist1 = dist_hh1 if land_source1==13
gen non_family_alloc_parcel_dist2 = dist_hh2 if land_source2==13
gen non_family_alloc_parcel_dist3 = dist_hh3 if land_source3==13
gen non_family_alloc_parcel_dist4 = dist_hh4 if land_source4==13
gen non_family_alloc_parcel_dist5 = dist_hh5 if land_source5==13
gen non_family_alloc_parcel_dist6 = dist_hh6 if land_source6==13
gen non_family_alloc_parcel_dist7 = dist_hh7 if land_source7==13
gen non_family_alloc_parcel_dist8 = dist_hh8 if land_source8==13
gen non_family_alloc_parcel_dist9 = dist_hh9 if land_source9==13
gen non_family_alloc_parcel_dist10 = dist_hh10 if land_source10==13
egen non_family_alloc_parcel_dist = rowmax(non_family_alloc_parcel_dist1 ///
non_family_alloc_parcel_dist2 non_family_alloc_parcel_dist3 ///
non_family_alloc_parcel_dist4 non_family_alloc_parcel_dist5 ///
non_family_alloc_parcel_dist6 non_family_alloc_parcel_dist7 ///
non_family_alloc_parcel_dist8 non_family_alloc_parcel_dist9 ///
non_family_alloc_parcel_dist10)
drop non_family_alloc_parcel_dist1 ///
non_family_alloc_parcel_dist2 non_family_alloc_parcel_dist3 ///
non_family_alloc_parcel_dist4 non_family_alloc_parcel_dist5 ///
non_family_alloc_parcel_dist6 non_family_alloc_parcel_dist7 ///
non_family_alloc_parcel_dist8 non_family_alloc_parcel_dist9 ///
non_family_alloc_parcel_dist10
********************************************************************************
// Distance to furthest plot - including rented plots 
egen max_parcel_dist_land =rowmax(inherit_parcel_dist chief_parcel_dist bride_parcel_dist ///
purchased_parcel_dist purchased2_parcel_dist leased_parcel_dist rent_parcel_dist ///
tenant_parcel_dist borrowed_parcel_dist nopermission_parcel_dist ///
othersource_parcel_dist family_alloc_parcel_dist non_family_alloc_parcel_dist)
lab var max_parcel_dist_land "Furthest distance on operated land" 
********** Filling the gaps in parcel distance per household *******************
egen max_parcel_dist = max (max_parcel_dist_land), by (y3_hhid)
replace max_parcel_dist_land = max_parcel_dist if max_parcel_dist_land==.
drop max_parcel_dist
replace max_parcel_dist_land=0 if max_parcel_dist_land==.

// Distance to furthest farmland plot - excluding rented plots  
egen pre_rentalland_parcel_maxdist =rowmax(inherit_parcel_dist chief_parcel_dist bride_parcel_dist ///
purchased_parcel_dist purchased2_parcel_dist leased_parcel_dist ///
tenant_parcel_dist borrowed_parcel_dist nopermission_parcel_dist ///
othersource_parcel_dist family_alloc_parcel_dist non_family_alloc_parcel_dist)
lab var pre_rentalland_parcel_maxdist "Furthest distance on farmland" 
********** Filling the gaps in parcel distance per household *******************
egen max_parcel_dist_pre = max (pre_rentalland_parcel_maxdist), by (y3_hhid)
replace pre_rentalland_parcel_maxdist = max_parcel_dist_pre if pre_rentalland_parcel_maxdist==.
drop max_parcel_dist_pre
replace pre_rentalland_parcel_maxdist=0 if pre_rentalland_parcel_maxdist==.

// Distance to furthest owned plot - excluding tenant, borrowed, encroached and others  
egen owned_parcel_maxdist =rowmax(inherit_parcel_dist chief_parcel_dist bride_parcel_dist ///
purchased_parcel_dist purchased2_parcel_dist leased_parcel_dist ///
family_alloc_parcel_dist non_family_alloc_parcel_dist)
lab var owned_parcel_maxdist "Furthest distance on owned land" 
********** Filling the gaps in parcel distance per household *******************
egen max_parcel_dist_own = max (owned_parcel_maxdist), by (y3_hhid)
replace owned_parcel_maxdist = max_parcel_dist_own if owned_parcel_maxdist==.
drop max_parcel_dist_own
replace owned_parcel_maxdist=0 if owned_parcel_maxdist==.

// Year when parcel was acquired 
* This question was asked in 2016 only. However, i used it to assess resent period of purchases 
* that could explain the changes in purchased land. Code 9999 is for parcel owned for a long time
* I replaced the code of 9999 to 1901.
rename ag_b203_2* yr_parcel_acquired*

// gen year of purchased parcels : with title 
gen purchase_parcel_year1 = yr_parcel_acquired1 if land_source1==4
gen purchase_parcel_year2 = yr_parcel_acquired2 if land_source1==4
gen purchase_parcel_year3 = yr_parcel_acquired3 if land_source1==4
gen purchase_parcel_year4 = yr_parcel_acquired4 if land_source1==4
gen purchase_parcel_year5 = yr_parcel_acquired5 if land_source1==4
gen purchase_parcel_year6 = yr_parcel_acquired6 if land_source1==4
gen purchase_parcel_year7 = yr_parcel_acquired7 if land_source1==4
gen purchase_parcel_year8 = yr_parcel_acquired8 if land_source1==4
gen purchase_parcel_year9 = yr_parcel_acquired9 if land_source1==4
gen purchase_parcel_year10 = yr_parcel_acquired10 if land_source1==4
// First year of land purchase
egen purchase_parcel_firstyear = rowmin(purchase_parcel_year1 purchase_parcel_year2 ///
purchase_parcel_year3 purchase_parcel_year4 purchase_parcel_year5 ///
purchase_parcel_year6 purchase_parcel_year7 purchase_parcel_year8 ///
purchase_parcel_year9 purchase_parcel_year10)
replace purchase_parcel_firstyear=1901 if purchase_parcel_firstyear==9999
lab var purchase_parcel_firstyear " First year the household bought land, among all purchased parcels"

// most recent year of land land purchase
egen purchase_parcel_recentyear = rowmax(purchase_parcel_year1 purchase_parcel_year2 ///
purchase_parcel_year3 purchase_parcel_year4 purchase_parcel_year5 ///
purchase_parcel_year6 purchase_parcel_year7 purchase_parcel_year8 ///
purchase_parcel_year9 purchase_parcel_year10)
replace purchase_parcel_recentyear=1901 if purchase_parcel_recentyear==9999
lab var purchase_parcel_recentyear " Most recent year the household bought land, among all purchased parcels"

drop purchase_parcel_year1 purchase_parcel_year2 ///
purchase_parcel_year3 purchase_parcel_year4 purchase_parcel_year5 ///
purchase_parcel_year6 purchase_parcel_year7 purchase_parcel_year8 ///
purchase_parcel_year9 purchase_parcel_year10

// gen year of purchased parcels : without title
********** no observations *****************

********** Land parcel usage for those renting out 
******* Generate parcel number per land usage *******************
// Cultivated land  
gen parcel_count1 =1 if parcel_area_acre1!=. & land_usage1==1
gen parcel_count2 =1 if parcel_area_acre2!=. & land_usage2==1
gen parcel_count3 =1 if parcel_area_acre3!=. & land_usage3==1
gen parcel_count4 =1 if parcel_area_acre4!=. & land_usage4==1
gen parcel_count5 =1 if parcel_area_acre5!=. & land_usage5==1
gen parcel_count6 =1 if parcel_area_acre6!=. & land_usage6==1
gen parcel_count7 =1 if parcel_area_acre7!=. & land_usage7==1
gen parcel_count8 =1 if parcel_area_acre8!=. & land_usage8==1
gen parcel_count9 =1 if parcel_area_acre9!=. & land_usage9==1
gen parcel_count10 =1 if parcel_area_acre10!=. & land_usage10==1
egen cultiv_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// Rented out land  
gen parcel_count1 =1 if parcel_area_acre1!=. & land_usage1==2
gen parcel_count2 =1 if parcel_area_acre2!=. & land_usage2==2
gen parcel_count3 =1 if parcel_area_acre3!=. & land_usage3==2
gen parcel_count4 =1 if parcel_area_acre4!=. & land_usage4==2
gen parcel_count5 =1 if parcel_area_acre5!=. & land_usage5==2
gen parcel_count6 =1 if parcel_area_acre6!=. & land_usage6==2
gen parcel_count7 =1 if parcel_area_acre7!=. & land_usage7==2
gen parcel_count8 =1 if parcel_area_acre8!=. & land_usage8==2
gen parcel_count9 =1 if parcel_area_acre9!=. & land_usage9==2
gen parcel_count10 =1 if parcel_area_acre10!=. & land_usage10==2
egen rent_out_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// Gave out for free land  
gen parcel_count1 =1 if parcel_area_acre1!=. & land_usage1==3
gen parcel_count2 =1 if parcel_area_acre2!=. & land_usage2==3
gen parcel_count3 =1 if parcel_area_acre3!=. & land_usage3==3
gen parcel_count4 =1 if parcel_area_acre4!=. & land_usage4==3
gen parcel_count5 =1 if parcel_area_acre5!=. & land_usage5==3
gen parcel_count6 =1 if parcel_area_acre6!=. & land_usage6==3
gen parcel_count7 =1 if parcel_area_acre7!=. & land_usage7==3
gen parcel_count8 =1 if parcel_area_acre8!=. & land_usage8==3
gen parcel_count9 =1 if parcel_area_acre9!=. & land_usage9==3
gen parcel_count10 =1 if parcel_area_acre10!=. & land_usage10==3
egen borrow_free_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// Fallow land  
gen parcel_count1 =1 if parcel_area_acre1!=. & land_usage1==4
gen parcel_count2 =1 if parcel_area_acre2!=. & land_usage2==4
gen parcel_count3 =1 if parcel_area_acre3!=. & land_usage3==4
gen parcel_count4 =1 if parcel_area_acre4!=. & land_usage4==4
gen parcel_count5 =1 if parcel_area_acre5!=. & land_usage5==4
gen parcel_count6 =1 if parcel_area_acre6!=. & land_usage6==4
gen parcel_count7 =1 if parcel_area_acre7!=. & land_usage7==4
gen parcel_count8 =1 if parcel_area_acre8!=. & land_usage8==4
gen parcel_count9 =1 if parcel_area_acre9!=. & land_usage9==4
gen parcel_count10 =1 if parcel_area_acre10!=. & land_usage10==4
egen fallow_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// Forest/woodlot land  
gen parcel_count1 =1 if parcel_area_acre1!=. & land_usage1==5
gen parcel_count2 =1 if parcel_area_acre2!=. & land_usage2==5
gen parcel_count3 =1 if parcel_area_acre3!=. & land_usage3==5
gen parcel_count4 =1 if parcel_area_acre4!=. & land_usage4==5
gen parcel_count5 =1 if parcel_area_acre5!=. & land_usage5==5
gen parcel_count6 =1 if parcel_area_acre6!=. & land_usage6==5
gen parcel_count7 =1 if parcel_area_acre7!=. & land_usage7==5
gen parcel_count8 =1 if parcel_area_acre8!=. & land_usage8==5
gen parcel_count9 =1 if parcel_area_acre9!=. & land_usage9==5
gen parcel_count10 =1 if parcel_area_acre10!=. & land_usage10==5
egen forest_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// Pasture land  
gen parcel_count1 =1 if parcel_area_acre1!=. & land_usage1==6
gen parcel_count2 =1 if parcel_area_acre2!=. & land_usage2==6
gen parcel_count3 =1 if parcel_area_acre3!=. & land_usage3==6
gen parcel_count4 =1 if parcel_area_acre4!=. & land_usage4==6
gen parcel_count5 =1 if parcel_area_acre5!=. & land_usage5==6
gen parcel_count6 =1 if parcel_area_acre6!=. & land_usage6==6
gen parcel_count7 =1 if parcel_area_acre7!=. & land_usage7==6
gen parcel_count8 =1 if parcel_area_acre8!=. & land_usage8==6
gen parcel_count9 =1 if parcel_area_acre9!=. & land_usage9==6
gen parcel_count10 =1 if parcel_area_acre10!=. & land_usage10==6
egen pasture_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************

// Others (specify) land  
gen parcel_count1 =1 if parcel_area_acre1!=. & land_usage1==7
gen parcel_count2 =1 if parcel_area_acre2!=. & land_usage2==7
gen parcel_count3 =1 if parcel_area_acre3!=. & land_usage3==7
gen parcel_count4 =1 if parcel_area_acre4!=. & land_usage4==7
gen parcel_count5 =1 if parcel_area_acre5!=. & land_usage5==7
gen parcel_count6 =1 if parcel_area_acre6!=. & land_usage6==7
gen parcel_count7 =1 if parcel_area_acre7!=. & land_usage7==7
gen parcel_count8 =1 if parcel_area_acre8!=. & land_usage8==7
gen parcel_count9 =1 if parcel_area_acre9!=. & land_usage9==7
gen parcel_count10 =1 if parcel_area_acre10!=. & land_usage10==7
egen other_used_parcel_no = rowtotal(parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10)
drop parcel_count1 parcel_count2 parcel_count3 ///
parcel_count4 parcel_count5 parcel_count6 parcel_count7 parcel_count8 ///
parcel_count9 parcel_count10
******************************
******************************
// Total number of used parcels  
egen usedtotal_number_parcel = rowtotal (cultiv_parcel_no rent_out_parcel_no ///
borrow_free_parcel_no fallow_parcel_no forest_parcel_no pasture_parcel_no ///
other_used_parcel_no)
lab var usedtotal_number_parcel "Total number of used parcels per household"

******** Parcel areas by usage *********************************
// Cultivated area
gen land_usage_area1=parcel_area_acre1 if land_usage1==1
gen land_usage_area2=parcel_area_acre2 if land_usage2==1
gen land_usage_area3=parcel_area_acre3 if land_usage3==1
gen land_usage_area4=parcel_area_acre4 if land_usage4==1
gen land_usage_area5=parcel_area_acre5 if land_usage5==1
gen land_usage_area6=parcel_area_acre6 if land_usage6==1
gen land_usage_area7=parcel_area_acre7 if land_usage7==1
gen land_usage_area8=parcel_area_acre8 if land_usage8==1
gen land_usage_area9=parcel_area_acre9 if land_usage9==1
gen land_usage_area10=parcel_area_acre10 if land_usage10==1
egen total_cultiv_land_acre = rowtotal (land_usage_area1 land_usage_area2 ///
land_usage_area3 land_usage_area4 land_usage_area5 land_usage_area6 ///
land_usage_area7 land_usage_area8 land_usage_area9 land_usage_area10)
drop land_usage_area1 land_usage_area2 ///
land_usage_area3 land_usage_area4 land_usage_area5 land_usage_area6 ///
land_usage_area7 land_usage_area8 land_usage_area9 land_usage_area10
****************************************************************************
gen total_cultiv_land_ha = total_cultiv_land_acre*0.404685642
gen total_cultiv_land_sqremeters = total_cultiv_land_acre*4046.85642
*************************************************************************

// Rented out area
gen land_usage_area1=parcel_area_acre1 if land_usage1==2
gen land_usage_area2=parcel_area_acre2 if land_usage2==2
gen land_usage_area3=parcel_area_acre3 if land_usage3==2
gen land_usage_area4=parcel_area_acre4 if land_usage4==2
gen land_usage_area5=parcel_area_acre5 if land_usage5==2
gen land_usage_area6=parcel_area_acre6 if land_usage6==2
gen land_usage_area7=parcel_area_acre7 if land_usage7==2
gen land_usage_area8=parcel_area_acre8 if land_usage8==2
gen land_usage_area9=parcel_area_acre9 if land_usage9==2
gen land_usage_area10=parcel_area_acre10 if land_usage10==2
egen total_rent_out_land_acre = rowtotal (land_usage_area1 land_usage_area2 ///
land_usage_area3 land_usage_area4 land_usage_area5 land_usage_area6 ///
land_usage_area7 land_usage_area8 land_usage_area9 land_usage_area10)
drop land_usage_area1 land_usage_area2 ///
land_usage_area3 land_usage_area4 land_usage_area5 land_usage_area6 ///
land_usage_area7 land_usage_area8 land_usage_area9 land_usage_area10
*********************************************************************************
gen total_rent_out_land_ha = total_rent_out_land_acre*0.404685642
gen total_rent_out_land_sqremeters = total_rent_out_land_acre*4046.85642
*******************************************************************************

// Gave out for free area
gen land_usage_area1=parcel_area_acre1 if land_usage1==3
gen land_usage_area2=parcel_area_acre2 if land_usage2==3
gen land_usage_area3=parcel_area_acre3 if land_usage3==3
gen land_usage_area4=parcel_area_acre4 if land_usage4==3
gen land_usage_area5=parcel_area_acre5 if land_usage5==3
gen land_usage_area6=parcel_area_acre6 if land_usage6==3
gen land_usage_area7=parcel_area_acre7 if land_usage7==3
gen land_usage_area8=parcel_area_acre8 if land_usage8==3
gen land_usage_area9=parcel_area_acre9 if land_usage9==3
gen land_usage_area10=parcel_area_acre10 if land_usage10==3
egen total_borrow_free_land_acre = rowtotal (land_usage_area1 land_usage_area2 ///
land_usage_area3 land_usage_area4 land_usage_area5 land_usage_area6 ///
land_usage_area7 land_usage_area8 land_usage_area9 land_usage_area10)
drop land_usage_area1 land_usage_area2 ///
land_usage_area3 land_usage_area4 land_usage_area5 land_usage_area6 ///
land_usage_area7 land_usage_area8 land_usage_area9 land_usage_area10
*********************************************************************************
gen total_borrow_free_land_ha = total_borrow_free_land_acre*0.404685642
gen total_borrow_free_land_sqrmtrs = total_borrow_free_land_acre*4046.85642
*******************************************************************************

// Fallow area
gen land_usage_area1=parcel_area_acre1 if land_usage1==4
gen land_usage_area2=parcel_area_acre2 if land_usage2==4
gen land_usage_area3=parcel_area_acre3 if land_usage3==4
gen land_usage_area4=parcel_area_acre4 if land_usage4==4
gen land_usage_area5=parcel_area_acre5 if land_usage5==4
gen land_usage_area6=parcel_area_acre6 if land_usage6==4
gen land_usage_area7=parcel_area_acre7 if land_usage7==4
gen land_usage_area8=parcel_area_acre8 if land_usage8==4
gen land_usage_area9=parcel_area_acre9 if land_usage9==4
gen land_usage_area10=parcel_area_acre10 if land_usage10==4
egen total_fallow_land_acre = rowtotal (land_usage_area1 land_usage_area2 ///
land_usage_area3 land_usage_area4 land_usage_area5 land_usage_area6 ///
land_usage_area7 land_usage_area8 land_usage_area9 land_usage_area10)
drop land_usage_area1 land_usage_area2 ///
land_usage_area3 land_usage_area4 land_usage_area5 land_usage_area6 ///
land_usage_area7 land_usage_area8 land_usage_area9 land_usage_area10
*********************************************************************************
gen total_fallow_land_ha = total_fallow_land_acre*0.404685642
gen total_fallow_land_sqremeters = total_fallow_land_acre*4046.85642
*******************************************************************************

// Forest/woodlot area
gen land_usage_area1=parcel_area_acre1 if land_usage1==5
gen land_usage_area2=parcel_area_acre2 if land_usage2==5
gen land_usage_area3=parcel_area_acre3 if land_usage3==5
gen land_usage_area4=parcel_area_acre4 if land_usage4==5
gen land_usage_area5=parcel_area_acre5 if land_usage5==5
gen land_usage_area6=parcel_area_acre6 if land_usage6==5
gen land_usage_area7=parcel_area_acre7 if land_usage7==5
gen land_usage_area8=parcel_area_acre8 if land_usage8==5
gen land_usage_area9=parcel_area_acre9 if land_usage9==5
gen land_usage_area10=parcel_area_acre10 if land_usage10==5
egen total_forest_land_acre = rowtotal (land_usage_area1 land_usage_area2 ///
land_usage_area3 land_usage_area4 land_usage_area5 land_usage_area6 ///
land_usage_area7 land_usage_area8 land_usage_area9 land_usage_area10)
drop land_usage_area1 land_usage_area2 ///
land_usage_area3 land_usage_area4 land_usage_area5 land_usage_area6 ///
land_usage_area7 land_usage_area8 land_usage_area9 land_usage_area10
*********************************************************************************
gen total_forest_land_ha = total_forest_land_acre*0.404685642
gen total_forest_land_sqremeters = total_forest_land_acre*4046.85642
*******************************************************************************

// Pasture area
gen land_usage_area1=parcel_area_acre1 if land_usage1==6
gen land_usage_area2=parcel_area_acre2 if land_usage2==6
gen land_usage_area3=parcel_area_acre3 if land_usage3==6
gen land_usage_area4=parcel_area_acre4 if land_usage4==6
gen land_usage_area5=parcel_area_acre5 if land_usage5==6
gen land_usage_area6=parcel_area_acre6 if land_usage6==6
gen land_usage_area7=parcel_area_acre7 if land_usage7==6
gen land_usage_area8=parcel_area_acre8 if land_usage8==6
gen land_usage_area9=parcel_area_acre9 if land_usage9==6
gen land_usage_area10=parcel_area_acre10 if land_usage10==6
egen total_pasture_land_acre = rowtotal (land_usage_area1 land_usage_area2 ///
land_usage_area3 land_usage_area4 land_usage_area5 land_usage_area6 ///
land_usage_area7 land_usage_area8 land_usage_area9 land_usage_area10)
drop land_usage_area1 land_usage_area2 ///
land_usage_area3 land_usage_area4 land_usage_area5 land_usage_area6 ///
land_usage_area7 land_usage_area8 land_usage_area9 land_usage_area10
*********************************************************************************
gen total_pasture_land_ha = total_pasture_land_acre*0.404685642
gen total_pasture_land_sqremeters = total_pasture_land_acre*4046.85642
*******************************************************************************

// other uses (specify) area
gen land_usage_area1=parcel_area_acre1 if land_usage1==7
gen land_usage_area2=parcel_area_acre2 if land_usage2==7
gen land_usage_area3=parcel_area_acre3 if land_usage3==7
gen land_usage_area4=parcel_area_acre4 if land_usage4==7
gen land_usage_area5=parcel_area_acre5 if land_usage5==7
gen land_usage_area6=parcel_area_acre6 if land_usage6==7
gen land_usage_area7=parcel_area_acre7 if land_usage7==7
gen land_usage_area8=parcel_area_acre8 if land_usage8==7
gen land_usage_area9=parcel_area_acre9 if land_usage9==7
gen land_usage_area10=parcel_area_acre10 if land_usage10==7
egen total_other_use_land_acre = rowtotal (land_usage_area1 land_usage_area2 ///
land_usage_area3 land_usage_area4 land_usage_area5 land_usage_area6 ///
land_usage_area7 land_usage_area8 land_usage_area9 land_usage_area10)
drop land_usage_area1 land_usage_area2 ///
land_usage_area3 land_usage_area4 land_usage_area5 land_usage_area6 ///
land_usage_area7 land_usage_area8 land_usage_area9 land_usage_area10
*********************************************************************************
gen total_other_use_land_ha = total_other_use_land_acre*0.404685642
gen total_other_use_land_sqremeters = total_other_use_land_acre*4046.85642
*******************************************************************************

********************************************************************
// total owned land 
egen total_used_land_acres =rowtotal(total_cultiv_land_acre ///
total_rent_out_land_acre total_borrow_free_land_acre total_fallow_land_acre ///
total_forest_land_acre total_pasture_land_acre total_other_use_land_acre)

gen total_used_land_ha = total_used_land_acres*0.404685642
gen total_used_land_sqremeters = total_used_land_acres*4046.85642
*****************************************************************************
************** Rent out dummy **********************************************
gen rent_out_dummy=1 if rent_out_parcel_no>0 & total_used_land_ha!=. & total_used_land_ha>0
replace rent_out_dummy=0 if rent_out_dummy==. 

**************************** Understanding the first year and most recent year of land purchases  
tab purchase_parcel_firstyear
tab purchase_parcel_recentyear
count if purchase_parcel_firstyear!=purchase_parcel_recentyear

gen catego_parcel_firstyear=0 if purchase_parcel_firstyear!=. & purchase_parcel_firstyear<=2010
replace catego_parcel_firstyear=1 if purchase_parcel_firstyear!=. & purchase_parcel_firstyear>2010 & purchase_parcel_recentyear<=2013
replace catego_parcel_firstyear=2 if purchase_parcel_firstyear!=. & purchase_parcel_firstyear>2013

gen catego_parcel_receyear=0 if purchase_parcel_recentyear!=. & purchase_parcel_recentyear<=2010
replace catego_parcel_receyear=1 if purchase_parcel_recentyear!=. & purchase_parcel_recentyear>2010 & purchase_parcel_recentyear<=2013
replace catego_parcel_receyear=2 if purchase_parcel_recentyear!=. & purchase_parcel_recentyear>2013

lab define catego 0 "Before 2010" 1"Between 2010 and 2013" 2"After 2013"
lab values catego_parcel_firstyear catego
lab values catego_parcel_receyear catego


******************************* 
// Population density. Although the question was not asked in 2010, the range would be the same
egen min_pop_density = min( popu_density), by(y3_hhid) // I use minimum because of filling year 2010
replace popu_density = min_pop_density if popu_density==.
replace popu_density=5 if y3_hhid==457007 & year==2016
replace popu_density=3 if y3_hhid==1613003 & year==2016


*************** Generate household variables ******************************
rename hh_b03 sex_hh
recode sex_hh (1=0) (2=1)
lab define b03 0"Male" 1"Female"
lab values sex_hh b03
rename hh_b05a age_hh 
replace age_hh=2016- hh_b06b if age_hh==. & year==2016
replace age_hh=2013- hh_b06b if age_hh==. & year==2013
gen age_dummy=1 if age_hh<=30
replace age_dummy=0 if age_hh>30 & age_dummy==.

// Generating one variable for the weights in each year
gen all_years_panel_weights=panelweight_2016 if year==2016
replace all_years_panel_weight=panelweight_2013 if year==2013
replace all_years_panel_weight=hh_wgt if year==2010

egen panel_weights_16 = max( panelweight_2016), by(y3_hhid)

// Marriage custom
egen patril_matril=max(Marriage_custom), by(y3_hhid)
recode patril_matril (1=0) (2=1) (3=.)
lab define custom 0"PATRILINEAL" 1"MATRILINEAL" 
lab values patril_matril custom  
tab patril_matril

********** Generating livestock units lag variable 
rename lag_total_TLU yr_one_lag_total_TLU
lab var yr_one_lag_total_TLU "One year lagged total livestock units" 

// The labour to land ratio was only for male and female adult labour that is key in ploughing and weeding
***** Land to labour ratio (owned land per labour unit, adult equiv)
gen own_farmland_labour_ratio = owned_land_ha/all_hh_labour 
gen total_farmland_labour_ratio = total_culti_land_ha/all_hh_labour 

*** Male labour to land ratio
gen hhmale_lab_landha_ratio= hh_male_labour/owned_land_ha
lab var hhmale_lab_landha_ratio " Household male labour to owned land ratio"
// Share of male labour to total labour 
gen share_male_total_labour = hh_male_labour/all_hh_labour
lab var share_male_total_labour "Share of male labour to total labour"

**** Female labour to land ratio
gen hhfemale_lab_landha_ratio= hh_female_labour/owned_land_ha
lab var hhfemale_lab_landha_ratio " Household female labour to land ratio"
// Share of female labour to total labour 
gen share_female_total_labour = hh_female_labour/all_hh_labour
lab var share_female_total_labour "Share of female labour to total labour"

********** Household size (consumer units) to land ratio for population pressure at farm level *****
gen hhsize_land_ratio = hh_size/owned_land_ha
******** TLU per land unit for wealth ******************
gen TLU_land_ratio = total_TLU/owned_land_ha
gen yr_one_lag_TLU_land_ratio = yr_one_lag_total_TLU/owned_land_ha


*****************************************************************************
********** Household size (consumer units) to labour ratio *****
gen hhsize_labour_ratio = hh_size/all_hh_labour
******** TLU per labour unit ******************
gen TLU_labour_ratio = total_TLU/all_hh_labour
gen yr_one_lag_TLU_labour_ratio = yr_one_lag_total_TLU/all_hh_labour

************ Share of marketed land to non-marketed land 
gen share_mrkt_ownlandha = mrkt_ownland_ha/owned_land_ha
replace share_mrkt_ownlandha=0 if share_mrkt_ownlandha==.
lab var share_mrkt_ownlandha "Share of marketed land from total owned farmland area"

**** Household who did not rent in or rent out land 
gen land_non_participation = 1 if rent_dummy==0 & rent_out_dummy==0
replace land_non_participation=0 if rent_dummy==1 & land_non_participation==.
replace land_non_participation=0 if rent_out_dummy==1 & land_non_participation==.

gen land_rental_partic =1 if rent_dummy==1
replace land_rental_partic =0 if land_non_participation==1
replace land_rental_partic =-1 if rent_out_dummy==1

rename month_away_dummy head_away_12_months

************* Generating labour participation variables 
*tab overall_hh_offarm // If any member in the household participated in working outside their farm (including ganyu)
*tab overall_hh_offgaric // If any member in the household participated in working outside their farm (excluding ganyu)
*tab hh_totalmember_offarm // Total number of household members who engaged in off their own farms work including ganyu
*tab hh_totalmember_offagri // Total number of household members who engaged in off their own farms work excluding ganyu
// Hired out family labour to casual work 
tab hh_ganyu
gen hireout_labour_ganyu_dummy =1 if hh_ganyu>0
replace hireout_labour_ganyu_dummy=0 if hireout_labour_ganyu_dummy==.
tab hireout_labour_ganyu_dummy 

******** Households that hired labour on farm or exchange in for free
egen hired_in_farmlabour = rowmax(hh_hired_farmlabour1 hh_hired_farmlabour2 ///
hh_hired_farmlabour3 hh_hired_farmlabour4 hh_hired_farmlabour5 ///
hh_hired_farmlabour6 hh_hired_farmlabour7 hh_hired_farmlabour8 ///
hh_hired_farmlabour9 hh_hired_farmlabour10)
replace hired_in_farmlabour=0 if hired_in_farmlabour==.

egen exchange_in_farmlabour = rowmax(hh_exchange_in_farmlabour1 hh_exchange_in_farmlabour2 ///
hh_exchange_in_farmlabour3 hh_exchange_in_farmlabour4 hh_exchange_in_farmlabour5 ///
hh_exchange_in_farmlabour6 hh_exchange_in_farmlabour7 hh_exchange_in_farmlabour8 ///
hh_exchange_in_farmlabour9 hh_exchange_in_farmlabour10)
replace exchange_in_farmlabour=0 if exchange_in_farmlabour==.

// Hired in labour
gen hire_labour_in_dummy=hired_in_farmlabour
replace hire_labour_in_dummy=0 if hire_labour_in_dummy==.

// Non-participation in casual labour market
gen labour_non_participation =1 if hireout_labour_ganyu_dummy==0 & hire_labour_in_dummy==0
replace labour_non_participation=0 if hireout_labour_ganyu_dummy==1 & labour_non_participation==.
replace labour_non_participation=0 if hireout_labour_ganyu_dummy==1 & labour_non_participation==.

// This is participation in hiring in or hiring out or non-participation
gen labour_market_partic =1 if hire_labour_in_dummy==1
replace labour_market_partic =0 if labour_non_participation==1
replace labour_market_partic =-1 if hireout_labour_ganyu_dummy==1

// Non-participation dummy in labour market
gen labour_mrkt_part_dummy=1 if labour_non_participation==0
replace labour_mrkt_part_dummy=0 if labour_non_participation==1 & labour_mrkt_part_dummy==.

gen initial_year_labour=labour_mrkt_part_dummy if year==2010
replace initial_year_labour=0 if initial_year_labour==.
egen initial_labour_partic_dummy = max(initial_year_labour), by (y3_hhid)

******** Share of members who participated in off the farm work 
gen share_ganyu_adultEqui_lab = adulEquiv_hh_ganyu/all_hh_labour
lab var share_ganyu_adultEqui_lab "Share of housedhold adult equivalent labour hired out for casual work"

******** capital asset score per labour unit ******************
gen asset_labour_ratio = capital_asset_score/all_hh_labour
gen asset_land_ratio = capital_asset_score/owned_land_ha


***** Generating mean and SD variable ******************
local mylist negtve_dev_svyrEarly abs_negtve_dev_svyrEarly postve_dev_svyrEarly ///
negtve_dev_svyrMid abs_negtve_dev_svyrMid postve_dev_svyrMid ///
negtve_dev_svyrLate abs_negtve_dev_svyrLate postve_dev_svyrLate ///
negtve_dev_lag1Early abs_negtve_dev_lag1Early postve_dev_lag1Early ///
negtve_dev_lag1Mid abs_negtve_dev_lag1Mid   postve_dev_lag1Mid ///
negtve_dev_lag2Early abs_negtve_dev_lag2Early postve_dev_lag2Early ///
negtve_dev_lag2Mid abs_negtve_dev_lag2Mid  postve_dev_lag2Mid  ///
negtve_dev_lag1Late abs_negtve_dev_lag1Late postve_dev_lag1Late ///
negtve_dev_lag2Late abs_negtve_dev_lag2Late postve_dev_lag2Late 
foreach var of varlist `mylist' {
gen double dm_`var' = `var'*0.01
egen double mean_dm_`var' = mean(dm_`var'), by(y3_hhid)
gen double de_dm_`var' = (dm_`var'-mean_dm_`var')
}

local xlist asset_labour_ratio owned_land_ha own_farmland_labour_ratio sex_hh age_hh edu_head share_male_total_labour  hhsize_labour_ratio TLU_labour_ratio yr_one_lag_TLU_labour_ratio dist_popcenter 
foreach var of varlist `xlist' {
egen double mean_`var' = mean(`var'), by(y3_hhid)
gen double dev_`var' = (`var'-mean_`var')
}


******************************************************
*********** working with shocks ********************
lab define dummy_YN 0"No" 1"Yes"

local shocks Drought Floods Earthquakes Unusual_crop_pest_disease Unusual_livestock_disease Unusual_low_output_prices Unusual_high_food_prices End_regular_assistance_aid Lowbusinesincome_notfrom_illnes Businesfailure_notfrom_illnes Lowworkincome_notfrom_illnes Jobloss_notfrom_illnes  Serious_illness_accident Child_birth Death_income_earner Death_other_HHmember Theft Household_break_up Conflict_violence Others_specify Irregular_rains Landslides
foreach var of varlist `shocks' {
recode `var' (2=0)
lab values `var' dummy_YN
}

///////////////////////////////////////////////////////////////////////////////
*********** Generating combined rainfall variables *********************************
gen svyr_early_pstive_negatv = dm_abs_negtve_dev_svyrEarly+dm_postve_dev_svyrEarly
gen svyr_mid_pstive_negatv = dm_abs_negtve_dev_svyrMid+dm_postve_dev_svyrMid
gen svyr_late_pstive_negatv = dm_abs_negtve_dev_svyrLate+dm_postve_dev_svyrLate

gen svyr_pstive_early_mid = dm_postve_dev_svyrEarly+ dm_postve_dev_svyrMid
gen svyr_negatv_early_mid = dm_abs_negtve_dev_svyrEarly+ dm_abs_negtve_dev_svyrMid

gen lag1_pstive_early_mid = dm_postve_dev_lag1Early+dm_postve_dev_lag1Mid
gen lag1_Negatv_early_mid = dm_abs_negtve_dev_lag1Early+dm_abs_negtve_dev_lag1Mid

gen lag2_pstive_early_mid = dm_postve_dev_lag2Early+dm_postve_dev_lag2Mid
gen lag2_Negatv_early_mid = dm_abs_negtve_dev_lag2Early+dm_abs_negtve_dev_lag2Mid

gen lag1_early_pstive_negatv = dm_abs_negtve_dev_lag1Early+dm_postve_dev_lag1Early
gen lag1_mid_pstive_negatv = dm_abs_negtve_dev_lag1Mid+dm_postve_dev_lag1Mid
gen lag1_late_pstive_negatv = dm_abs_negtve_dev_lag1Late+dm_postve_dev_lag1Late

gen lag2_early_pstive_negatv = dm_abs_negtve_dev_lag2Early+dm_postve_dev_lag2Early
gen lag2_mid_pstive_negatv = dm_abs_negtve_dev_lag2Mid+dm_postve_dev_lag2Mid
gen lag2_late_pstive_negatv = dm_abs_negtve_dev_lag2Late+dm_postve_dev_lag2Late

gen svyr_early_mid = svyr_early_pstive_negatv + svyr_mid_pstive_negatv
gen lag1_early_mid = lag1_early_pstive_negatv + lag1_mid_pstive_negatv
gen lag2_early_mid = lag2_early_pstive_negatv + lag2_mid_pstive_negatv

gen svyr_early_mid_late = svyr_early_pstive_negatv + svyr_mid_pstive_negatv+ svyr_late_pstive_negatv
gen lag1_early_mid_late = lag1_early_pstive_negatv + lag1_mid_pstive_negatv+lag1_late_pstive_negatv
gen lag2_early_mid_late = lag2_early_pstive_negatv + lag2_mid_pstive_negatv+lag2_late_pstive_negatv
******************************************************************

****** generating wealth quantiles ********************
tabstat capital_asset_score, stats (p25 p50 p75 n)
gen wealth_Q1 = 1 if capital_asset_score<=-0.589
replace wealth_Q1 = 0 if wealth_Q1==.

gen wealth_Q2 = 1 if capital_asset_score>-0.589 & capital_asset_score<=-0.385
replace wealth_Q2 = 0 if wealth_Q2==.

gen wealth_Q3 = 1 if capital_asset_score>-0.385 & capital_asset_score<=0.100
replace wealth_Q3 = 0 if wealth_Q3==.

gen wealth_Q4 = 1 if capital_asset_score>0.100
replace wealth_Q4 = 0 if wealth_Q4==.

tabstat wealth_Q1 wealth_Q2 wealth_Q3 wealth_Q4, stats (mean n)

save "$appended_data\land_labour_appended_V1", replace 
********************************************************************************
************* Considering attrition in the data **********************


********** With Inverse Mills Ratio ************************
use "$appended_data\land_labour_appended_V1", clear
order year
count
tabstat y3_hhid, stats(n) by (year) 
count if y3_hhid==. & year==2010
count if y3_hhid==. & year==2013
************* Attrition issues ***************
sort y3_hhid
by y3_hhid: gen nwaves=_N
tab nwaves

// Generating a dummy for dropped households 
gen attrition=1 if nwaves==1
replace attrition=1 if nwaves==82
replace attrition=0 if nwaves==2
tab attrition
order nwaves
***** When balancing the data, i dropped some observations that had missing values
// Specifically i dropped 6 households with land area more than 10 ha to keep 
// a sample of smallholder farmers. There were 10 households with completely missing education level. Thus, i included these households into the category of dropped households for attrition. 
count if farm_size_ha>10 
count if edu_head==.

br if farm_size_ha>10 
br if edu_head==.
br if dist_popcenter==.

// For households with more than 10 ha 
replace attrition=1 if y3_hhid==287001
replace attrition=1 if y3_hhid==591001
replace attrition=1 if y3_hhid==607001
replace attrition=1 if y3_hhid==638001
replace attrition=1 if y3_hhid==1204002
replace attrition=1 if y3_hhid==1332001

// For households with education missing 
*replace attrition=1 if y3_hhid==420008 // Already appearing as 1
*replace attrition=1 if y3_hhid==601003 // Already appearing as 1
*replace attrition=1 if y3_hhid==620003 // Already appearing as 1
replace attrition=1 if y3_hhid==687001
*replace attrition=1 if y3_hhid==965002 // Already appearing as 1
replace attrition=1 if y3_hhid==1121001
replace attrition=1 if y3_hhid==1171001
replace attrition=1 if y3_hhid==1181001
replace attrition=1 if y3_hhid==1721001
replace attrition=1 if y3_hhid==1737001

// For those with missing distant to urban town areas
replace attrition=1 if y3_hhid==373001
replace attrition=1 if y3_hhid==1386001
replace attrition=1 if y3_hhid==147002 // Almost all information missing on this household despite appearing in all years
replace attrition=1 if y3_hhid==1267001 // Almost all information missing on this household despite appearing in all years
replace attrition=1 if y3_hhid==219001
tab attrition

// Generating a dummy for households in a balanced panel 
gen pan_hh = -attrition
replace pan_hh=pan_hh+1
tab pan_hh

****** Running a probit model
recode reside (2=0) 
preserve 
keep if year==2013
*logit attrition sex_hh age_hh hh_size total_TLU yr_one_lag_total_TLU reside popu_density ib(2).region if year==2010, r 

probit attrition sex_hh age_hh hh_size total_TLU yr_one_lag_total_TLU reside popu_density, r
estimate store R2_attr
outreg2 [R2_attr] using attrition_results, stats(coef se ) noparen bdec(3) sdec(2) ///
side alpha(0.001, 0.01, 0.05, 0.1) symbol(****, ***, **, *) word excel replace see

capture drop sample2
gen sample2=e(sample)
tab sample2
predict R2

//compute Inverse Mills Ratio
estimates restore R2_attr
predict PI if e(sample)
	// compute standard normal pdf
capture drop phi
gen phi=normalden(PI)
label var phi "probability distrubtion function"
	// compute standard normal cdf
capture drop PHI
gen PHI=normal(PI)
label var PHI  " Communulative distrubtion function"
	// compute IMR
capture drop IMR_I
gen IMR_I = phi/PHI
label var IMR_I " Inverse Millis ratio"
drop nwaves 
keep  year y3_hhid pan_id y2_hhid case_id attrition IMR_I pan_hh
save "$appended_data\attrition 2010.dta", replace
restore 
merge m:1 y2_hhid using "$appended_data\attrition 2010.dta", nogen force // for string variable
order IMR_I pan_hh
drop nwaves
save "$appended_data\land_labour_appended_IMRdatav2.dta", replace
*****************************************************************************



***** For the inverse mills ratio *******************
******* Balancing the data per housedhold despite the household head changing *****************
use "$appended_data\land_labour_appended_IMRdatav2.dta", clear // Change this date file if to include IMR
order year
count
tabstat y3_hhid, stats(n) by (year) 
count if y3_hhid==. & year==2010
count if y3_hhid==. & year==2013

drop if farm_size_ha>10 // there were 6 households with big variations in 
// land holding across the three years

// Dropping missing observations forr some key variables to balance the data 
drop if edu_head==.
drop if y3_hhid==147002 // This households was a single person household who was no available in 2016
drop if y3_hhid==1267001 // Almost all information missing on this household despite appearing in all years
drop if y3_hhid==219001

drop if dist_popcenter==.

*****************************************************************************
sort y3_hhid
by y3_hhid: gen nwaves=_N
tab nwaves
keep if nwaves==2 
sort y3_hhid year
by y3_hhid: gen time_per_var = _n // the count should match with the number of waves 
*************************************************************************
xtset y3_hhid year
tabstat y3_hhid, stats(n) by (year)
tabstat y3_hhid if region==1, stats(n) by (year) 
tabstat y3_hhid if region==2, stats(n) by (year) 
tabstat y3_hhid if region==3, stats(n) by (year) 

**** The data accounts for changes in head of household 

*********** Generating lagged variables of rental market participation ********
gen no_ownland_dummy =1 if owned_land_ha==0
replace no_ownland_dummy=0 if no_ownland_dummy==. & owned_land_ha>0

gen no_cultiland_dummy =1 if total_culti_land_ha==0
replace no_cultiland_dummy=0 if no_cultiland_dummy==. & total_culti_land_ha>0

gen no_pre_rentalland_dummy =1 if pre_rentalland_ha==0
replace no_pre_rentalland_dummy=0 if no_pre_rentalland_dummy==. & pre_rentalland_ha>0

gen non_farmingHH_dummy =1 if total_culti_land_ha==0 
replace non_farmingHH_dummy=0 if non_farmingHH_dummy==. & total_culti_land_ha>0

gen non_mrkt_landlessha_dummy =1 if non_mrkt_ownland_ha==0
replace non_mrkt_landlessha_dummy=0 if non_mrkt_landlessha_dummy==. & non_mrkt_landlessha_dummy>0

gen mrkt_landlessha_dummy =1 if mrkt_ownland_ha==0
replace mrkt_landlessha_dummy=0 if mrkt_landlessha_dummy==. & mrkt_landlessha_dummy>0

gen rent_dummy_10=1 if rent_dummy==1 & year==2010
replace rent_dummy_10=0 if rent_dummy_10==. & rent_dummy!=.
egen initial_year_rent_dummy = max(rent_dummy_10), by (y3_hhid)

gen rent_land_acre_10=total_rent_land_acre if rent_dummy==1 & year==2010
replace rent_land_acre_10=0 if rent_land_acre_10==. & rent_dummy!=.
egen initial_year_rent_land_acre = max(rent_land_acre_10), by (y3_hhid)

gen rent_land_ha_10=total_rent_land_ha if rent_dummy==1 & year==2010
replace rent_land_ha_10=0 if rent_land_ha_10==. & rent_dummy!=.
egen initial_year_rent_land_ha = max(rent_land_ha_10), by (y3_hhid)

// Participation in rental market in previous period. This drop year 2010 from the analysis
sort y3_hhid
by y3_hhid: gen lag_rent_dummy = rent_dummy[_n-1] 

// Total land area differences 
*by y3_hhid: gen lag_total_rent_land_acre = total_rent_land_acre[_n-1]
*gen diff_total_area_acre =total_rent_land_acre-lag_total_rent_land_acre

by y3_hhid: gen lag_total_rent_land_ha = total_rent_land_ha[_n-1]
gen diff_total_area_ha =total_rent_land_ha-lag_total_rent_land_ha
*********** Farm land difference 
*by y3_hhid: gen lag_pre_rentalland_acre =pre_rentalland_acre[_n-1]
*gen diff_pre_rentalland_acre =pre_rentalland_acre-lag_pre_rentalland_acre

*by y3_hhid: gen lag_pre_rentalland_ha =pre_rentalland_ha[_n-1]
*gen diff_pre_rentalland_ha =pre_rentalland_ha-lag_pre_rentalland_ha
*********** Owned land difference
*by y3_hhid: gen lag_owned_land_acre= owned_land_acre[_n-1]
*gen diff_owned_land_acre = owned_land_acres-lag_owned_land_acre
 
by y3_hhid: gen lag_owned_land_ha= owned_land_ha[_n-1]
gen diff_owned_land_ha = owned_land_ha-lag_owned_land_ha
*********** non-market land difference
*by y3_hhid: gen lag_non_mrkt_ownland_acre = non_mrkt_ownland_acre[_n-1]
*gen diff_non_mrkt_ownland_acre = non_mrkt_ownland_acre-lag_non_mrkt_ownland_acre
 
by y3_hhid: gen lag_non_mrkt_ownland_ha = non_mrkt_ownland_ha[_n-1]
gen diff_non_mrkt_ownland_ha = non_mrkt_ownland_ha-lag_non_mrkt_ownland_ha
*********** market land difference 
*by y3_hhid: gen lag_mrkt_ownland_acre = mrkt_ownland_ha[_n-1] 
*gen diff_mrkt_ownland_acre = mrkt_ownland_acre-lag_mrkt_ownland_acre

by y3_hhid: gen lag_mrkt_ownland_ha = mrkt_ownland_ha[_n-1] 
gen diff_mrkt_ownland_ha = mrkt_ownland_ha-lag_mrkt_ownland_ha

// Differences in number of parcels 
by y3_hhid: gen lag_total_number_parcel=total_number_parcel[_n-1]
gen parcel_numb_total_diff = total_number_parcel-lag_total_number_parcel 

by y3_hhid: gen lag_farmland_parcel_number=farmland_parcel_number[_n-1]
gen farmland_parcel_number_diff = farmland_parcel_number-lag_farmland_parcel_number 

by y3_hhid: gen lag_owned_parcel_number=owned_parcel_number[_n-1]
gen parcel_numb_owned_diff = owned_parcel_number-lag_owned_parcel_number 

by y3_hhid: gen lag_non_mrkt_farm_parcel_number=non_mrkt_farmland_parcel_number[_n-1]
gen diff_non_mrkt_farm_parcel_number = non_mrkt_farmland_parcel_number-lag_non_mrkt_farm_parcel_number 

by y3_hhid: gen lag_mrkt_farm_parcel_number=mrkt_farmland_parcel_number[_n-1]
gen diff_mrkt_farm_parcel_number = mrkt_farmland_parcel_number-lag_mrkt_farm_parcel_number 


*************** labour participation variables ***********************

by y3_hhid: gen lag_labour_mrkt_part_dummy=labour_mrkt_part_dummy[_n-1]

save "$appended_data\land_labour_appended_IMRdatav2_with changes.dta", replace

*************************************************************************
log close
translate land_labour_variables.log land_labour_variables.pdf , replace


